Package org.apache.velocity.runtime

# Enum RuntimeConstants.SpaceGobbling

java.lang.Object
java.lang.Enum<RuntimeConstants.SpaceGobbling>
org.apache.velocity.runtime.RuntimeConstants.SpaceGobbling

All Implemented Interfaces:
  `Serializable`, `Comparable<RuntimeConstants.SpaceGobbling>`

Enclosing interface:
  `RuntimeConstants`

public static enum RuntimeConstants.SpaceGobbling extends Enum<RuntimeConstants.SpaceGobbling>
Space gobbling modes

Since:
  2.0

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BC`
`LINES`
`NONE`
`STRUCTURED`

## Method Summary

Modifier and Type
Method
Description
`static RuntimeConstants.SpaceGobbling`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static RuntimeConstants.SpaceGobbling[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final RuntimeConstants.SpaceGobbling NONE

### BC

public static final RuntimeConstants.SpaceGobbling BC

### LINES

public static final RuntimeConstants.SpaceGobbling LINES

### STRUCTURED

public static final RuntimeConstants.SpaceGobbling STRUCTURED

## Method Details

### values

public static RuntimeConstants.SpaceGobbling[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static RuntimeConstants.SpaceGobbling valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null